phpversion
restore_include_path
PHP Options/Info Functions
PHP Manual

# putenv

(PHP 4, PHP 5, PHP 7)

putenv — Sets the value of an environment variable

### Description

bool putenv ( string `$setting` )

Adds `setting` to the server environment. The environment variable will only exist for the duration of the current request. At the end of the request the environment is restored to its original state.

Setting certain environment variables may be a potential security breach. The safe_mode_allowed_env_vars directive contains a comma-delimited list of prefixes. In Safe Mode, the user may only alter environment variables whose names begin with the prefixes supplied by this directive. By default, users will only be able to set environment variables that begin with PHP_ (e.g. PHP_FOO=BAR). Note: if this directive is empty, PHP will let the user modify ANY environment variable!

The safe_mode_protected_env_vars directive contains a comma-delimited list of environment variables, that the end user won't be able to change using putenv(). These variables will be protected even if safe_mode_allowed_env_vars is set to allow to change them.

### Parameters

`setting`

  The setting, like "FOO=BAR"

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Setting an environment variable

`<?php
putenv("UNIQID=$uniqid");
?>`

### Notes

Warning

The safe_mode_allowed_env_vars and safe_mode_protected_env_vars directives only take effect when safe_mode is enabled.

### See Also

- getenv() - Gets the value of an environment variable
- apache_setenv() - Set an Apache subprocess_env variable

phpversion
restore_include_path
PHP Options/Info Functions
PHP Manual